<template lang="html">
  <article class="learn-upload-game-view">
    <section class="content-container">
      <h1 class="title">{{ label.UPLOAD_GAMES }}</h1>
      <div class="content">
        <p class="intro">{{ label.INTRO }}</p>
        <ol class="instructions">
          <li v-for="item in label.INSTRUCTIONS">{{ item }}</li>
        </ol>
        <p>
          <strong>{{ label.NOTE }}</strong> {{ label.NOTE_TEXT_SPA }}
          <button class="linkBtn"
            v-on:click="showMediaDialog(images.indexHTML)">{{ label.SEE_EXAMPLE }}</button>
        </p>
        <p>
          <strong>{{ label.NOTE }}</strong> {{ label.NOTE_TEXT_PRIVACY }}
          <button class="linkBtn"
            v-on:click="showMediaDialog(images.privacyPublic)">{{ label.SEE_EXAMPLE }}</button>
        </p>
      </div>
    </section>
  </article>
</template>

<script>
import { mapState, mapActions } from 'vuex'

export default {
  name: 'ep-learn-upload-game-view',
  data () {
    return {
      images: {
        indexHTML: `${process.env.HOST_URL_CDN}/img/enoplay/learn/upload-game/project-index-html.png`,
        privacyPublic: `${process.env.HOST_URL_CDN}/img/enoplay/learn/upload-game/privacy-public.png`
      },
      label: {
        UPLOAD_GAMES: 'Upload games',
        INTRO: `You can upload games to Enoplay in a
        few easy steps. Use the instructions below to upload your
        games from a computer or from a mobile device.`,
        INSTRUCTIONS: [`Sign into your Enoplay account.`,
          `Click on the (...) icon at the top of the page.`,
          `Click on the 'Upload A Game' menu option.`,
          `Click on '+ New Game'`,
          `Fill in the name of the game, a description and a price amount to access the game.`,
          `Select a thumbnail of the game from your computer.`,
          `Choose the type of application your game is formatted in (e.g. Single Page App)`,
          `Select the game you'd like to upload from your computer.
          This must be a .zip file containing your game files.`,
          `Press 'Upload Game' and you're good to go!`],
        NOTE: 'Note:',
        NOTE_TEXT_SPA: `If your game is written as a SPA (Single Page App),
        the zip file must contain an index.html at the root of your project structure.`,
        NOTE_TEXT_PRIVACY: `For people to discover your game, the privacy setting must be
        set to "Public". You can update the privacy setting of your game by selecting "Edit"
        in the dashboard view of the specific game.`,
        SEE_EXAMPLE: `See Example.`
      }
    }
  },
  computed: {
    ...mapState('app', [
      'dialogTypes'
    ])
  },
  methods: {
    ...mapActions('app', [
      'selectDialog'
    ]),
    showMediaDialog (source) {
      this.selectDialog({
        dialog: this.dialogTypes.media,
        data: {
          type: 'image',
          source
        }
      })
    }
  }
}
</script>

<style lang="scss" scoped>
@import '~assets/styles/theme';
@import '~assets/styles/input';

.learn-upload-game-view {
  color: $text-color;
}

.content-container {
  padding: 16px;

  .content {
    word-wrap: break-word;
    outline: none;
    font-size: 14px;
    line-height: 20px;
  }

  .title {
    font-size: 24px;
    line-height: 32px;
    margin: 0 0 8px;
  }

  .intro {
    margin: 4px 0 12px;
  }

  .instructions {
    margin: 4px 0 12px;
    outline: 0;
    padding: 0;
    vertical-align: baseline;

    li {
      margin: 4px 0 4px 20px;
    }
  }
}


</style>
